Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.changesets
Interface ObjectChangeSet

public interface ObjectChangeSet

Purpose: Provides API to the Class that holds all changes made to a particular Object.

Description: The ObjectChangeSet class represents a single Object registered in the UnitOfWork. It is owned by the larger UnitOfWorkChangeSet.

Method Summary
`boolean` | `equals(ObjectChangeSet objectChange)`
`java.util.Vector` | `getChangedAttributeNames()` ADVANCED: This method will return a collection of the fieldnames of attributes changed in an object.
`java.util.Vector` | `getChanges()` ADVANCED: This method returns a reference to the collection of changes within this changeSet.
`ChangeRecord` | `getChangesForAttributeNamed(java.lang.String attributeName)` ADVANCED: Returns the change record for the specified attribute name.
`java.lang.String` | `getClassName()` ADVANCE: This method returns the class Name that this changeSet Represents.
`java.lang.Class` | `getClassType(Session session)` ADVANCE: This method returns the class type that this changeSet Represents.
`java.lang.Object` | `getNewKey()` ADVANCED: This method returns the key value that this object will be stored under in it's respective Map.
`java.lang.Object` | `getOldKey()` ADVANCED: This method returns the key value that this object was stored under in it's respective Map.
`java.util.Vector` | `getPrimaryKeys()` ADVANCED: This method returns the primary keys for the object that this change set represents.
`UnitOfWorkChangeSet` | `getUOWChangeSet()` ADVANCED: This method is used to return the parent ChangeSet.
`java.lang.Object` | `getWriteLockValue()` ADVANCED: This method is used to return the lock value of the object this changeSet represents.
`boolean` | `hasChangeFor(java.lang.String attributeName)` ADVANCED: This method will return true if the specified attributue has been changed..
`boolean` | `hasChanges()` ADVANCED: Returns true if this particular changeSet has changes.
`boolean` | `isNew()` ADVANCED: Returns true if this ObjectChangeSet represents a new object.

Method Detail

### equals

    public boolean equals(ObjectChangeSet objectChange)

### getChangedAttributeNames

    public java.util.Vector getChangedAttributeNames()

  ADVANCED: This method will return a collection of the fieldnames of attributes changed in an object.

### getChanges

    public java.util.Vector getChanges()

  ADVANCED: This method returns a reference to the collection of changes within this changeSet.

### getClassType

    public java.lang.Class getClassType(Session session)

  ADVANCE: This method returns the class type that this changeSet Represents.

### getClassName

    public java.lang.String getClassName()

  ADVANCE: This method returns the class Name that this changeSet Represents.

### getOldKey

    public java.lang.Object getOldKey()

  ADVANCED: This method returns the key value that this object was stored under in it's respective Map. This is old relevant for collection mappings that use a Map.

### getNewKey

    public java.lang.Object getNewKey()

  ADVANCED: This method returns the key value that this object will be stored under in it's respective Map. This is old relevant for collection mappings that use a Map.

### getPrimaryKeys

    public java.util.Vector getPrimaryKeys()

  ADVANCED: This method returns the primary keys for the object that this change set represents.

### getUOWChangeSet

    public UnitOfWorkChangeSet getUOWChangeSet()

  ADVANCED: This method is used to return the parent ChangeSet.

### getWriteLockValue

    public java.lang.Object getWriteLockValue()

  ADVANCED: This method is used to return the lock value of the object this changeSet represents.

### getChangesForAttributeNamed

    public ChangeRecord getChangesForAttributeNamed(java.lang.String attributeName)

  ADVANCED: Returns the change record for the specified attribute name.

### hasChangeFor

    public boolean hasChangeFor(java.lang.String attributeName)

  ADVANCED: This method will return true if the specified attributue has been changed..

### hasChanges

    public boolean hasChanges()

  ADVANCED: Returns true if this particular changeSet has changes.

### isNew

    public boolean isNew()

  ADVANCED: Returns true if this ObjectChangeSet represents a new object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD